# ZLibOption class

Exposes ZLib options for input parameters.

See http://www.zlib.net/manual.html for more documentation.

## Constructors

ZLibOption()

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

DEFAULT_LEVEL → const int
  @Deprecated("Use defaultLevel instead")
  `6`
DEFAULT_MEM_LEVEL → const int
  @Deprecated("Use defaultMemLevel instead")
  `8`
DEFAULT_WINDOW_BITS → const int
  @Deprecated("Use defaultWindowBits instead")
  `15`
defaultLevel → const int
  Default value for ZLibCodec.level and ZLibEncoder.level.
  `6`
defaultMemLevel → const int
  Default value for ZLibCodec.memLevel and ZLibEncoder.memLevel.
  `8`
defaultWindowBits → const int
  Default value for ZLibCodec.windowBits, ZLibEncoder.windowBits and ZLibDecoder.windowBits.
  `15`
MAX_LEVEL → const int
  @Deprecated("Use maxLevel instead")
  `9`
MAX_MEM_LEVEL → const int
  @Deprecated("Use maxMemLevel instead")
  `9`
MAX_WINDOW_BITS → const int
  @Deprecated("Use maxWindowBits instead")
  `15`
maxLevel → const int
  Maximal value for ZLibCodec.level and ZLibEncoder.level
  `9`
maxMemLevel → const int
  Maximal value for ZLibCodec.memLevel and ZLibEncoder.memLevel.
  `9`
maxWindowBits → const int
  Maximal value for ZLibCodec.windowBits, ZLibEncoder.windowBits and ZLibDecoder.windowBits.
  `15`
MIN_LEVEL → const int
  @Deprecated("Use minLevel instead")
  `-1`
MIN_MEM_LEVEL → const int
  @Deprecated("Use minMemLevel instead")
  `1`
MIN_WINDOW_BITS → const int
  @Deprecated("Use minWindowBits instead")
  `8`
minLevel → const int
  Minimal value for ZLibCodec.level and ZLibEncoder.level.
  `-1`
minMemLevel → const int
  Minimal value for ZLibCodec.memLevel and ZLibEncoder.memLevel.
  `1`
minWindowBits → const int
  Minimal value for ZLibCodec.windowBits, ZLibEncoder.windowBits and ZLibDecoder.windowBits.
  `8`
STRATEGY_DEFAULT → const int
  @Deprecated("Use strategyDefault instead")
  `0`
STRATEGY_FILTERED → const int
  @Deprecated("Use strategyFiltered instead")
  `1`
STRATEGY_FIXED → const int
  @Deprecated("Use strategyFixed instead")
  `4`
STRATEGY_HUFFMAN_ONLY → const int
  @Deprecated("Use strategyHuffmanOnly instead")
  `2`
STRATEGY_RLE → const int
  @Deprecated("Use strategyRle instead")
  `3`
strategyDefault → const int
  Recommended strategy for normal data
  `0`
strategyFiltered → const int
  Recommended strategy for data produced by a filter (or predictor)
  `1`
strategyFixed → const int
  This strategy prevents the use of dynamic Huffman codes, allowing for a simpler decoder
  `4`
strategyHuffmanOnly → const int
  Use this strategy to force Huffman encoding only (no string match)
  `2`
strategyRle → const int
  Use this strategy to limit match distances to one (run-length encoding)
  `3`